Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.blaf
Class JboTableTag

`java.lang.Object
oracle.cabo.ui.jsps.tags.BaseTag
oracle.cabo.ui.jsps.tags.BaseUINodeTag
oracle.cabo.ui.jsps.tags.TableTag
oracle.jbo.html.jsp.blaf.JboTableTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, oracle.cabo.ui.jsps.tags.UINodeEnvelopeTag, oracle.cabo.ui.jsps.tags.UINodeTag, oracle.cabo.ui.jsps.tags.UIXTag

public class JboTableTag
extends oracle.cabo.ui.jsps.tags.TableTag

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JboTableTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getDatasource()`
`java.lang.String` | `getDataSource()`
`protected javax.servlet.jsp.PageContext` | `getPageContext()`
`void` | `release()` releaseBean
`void` | `setDatasource(java.lang.String newDatasource)`
`void` | `setDisplayattributes(java.lang.String sAttributes)`

Methods inherited from class oracle.cabo.ui.jsps.tags.TableTag
`createUINode, setAllDetailsEnabled, setAllDetailsEnabledBinding, setAlternateText, setAlternateTextBinding, setBlockSize, setBlockSizeBinding, setColumnFormats, setColumnFormatsBinding, setColumnHeaderData, setColumnHeaderDataBinding, setColumnHeaderFormats, setColumnHeaderFormatsBinding, setDestination, setDestinationBinding, setDetailDisclosure, setDetailDisclosureBinding, setFormSubmitted, setFormSubmittedBinding, setHeight, setHeightBinding, setInlineStyle, setInlineStyleBinding, setMaxValue, setMaxValueBinding, setMinValue, setMinValueBinding, setName, setNameBinding, setNameTransformed, setNameTransformedBinding, setOnClick, setOnClickBinding, setOnDoubleClick, setOnDoubleClickBinding, setOnKeyDown, setOnKeyDownBinding, setOnKeyPress, setOnKeyPressBinding, setOnKeyUp, setOnKeyUpBinding, setOnMouseDown, setOnMouseDownBinding, setOnMouseMove, setOnMouseMoveBinding, setOnMouseOut, setOnMouseOutBinding, setOnMouseOver, setOnMouseOverBinding, setOnMouseUp, setOnMouseUpBinding, setPartialRenderMode, setPartialRenderModeBinding, setPartialTargets, setPartialTargetsBinding, setProxied, setProxiedBinding, setRendered, setRenderedBinding, setRowFormats, setRowFormatsBinding, setRowHeaderData, setRowHeaderDataBinding, setRowHeaderFormats, setRowHeaderFormatsBinding, setShortDesc, setShortDescBinding, setShowAll, setShowAllBinding, setStyleClass, setStyleClassBinding, setSummary, setSummaryBinding, setTableData, setTableDataBinding, setTableFormat, setTableFormatBinding, setText, setTextBinding, setUnvalidated, setUnvalidatedBinding, setValue, setValueBinding, setWidth, setWidthBinding`

Methods inherited from class oracle.cabo.ui.jsps.tags.BaseUINodeTag
`addNode, doEndTag, getAttributeValue, getBoundAttributeValue, getExposeBeanWithKey, getId, getParent, getUINode, parseBinding, parseBinding, parseBoolean, parseBoundValue, parseChar, parseDate, parseInt, parseLong, parseStringArray, setAttributeValue, setAttributeValue, setBoundAttributeValue, setId, setNodeID, setPageContext, setParent, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JboTableTag

    public JboTableTag()

Method Detail

### getDatasource

    public java.lang.String getDatasource()

### getDataSource

    public java.lang.String getDataSource()

### setDisplayattributes

    public void setDisplayattributes(java.lang.String sAttributes)

### setDatasource

    public void setDatasource(java.lang.String newDatasource)

### release

    public void release()

  releaseBean

### doStartTag

    public int doStartTag()

### getPageContext

    protected javax.servlet.jsp.PageContext getPageContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.